Page MenuHomePhabricator

Upgrade resource-modules to exclude certain files
Closed, DeclinedPublic

Description

Webpack migration is held up by the resource-modules tool. We should update https://github.com/wikimedia/resource-modules to allow us to exclude certain files from error reporting and exclude our bundled JS.

Acceptance Criteria

  • Update resource-modules to support file filtering
  • Update resource-modules in MobileFrontend to point to temporary repo while we wait for code review and new release.
  • Do a new release of resource-modules
  • Update resource-modules in MobileFrontend and exclude the file

Event Timeline

Jdlrobson created this task.Oct 3 2018, 9:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2018, 9:36 PM

Change 463861 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Resource modules show ignore webpack bundled file

https://gerrit.wikimedia.org/r/463861

Change 464442 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Use npm distributed version of resource-modules

https://gerrit.wikimedia.org/r/464442

Change 463861 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Resource modules should ignore webpack bundled file

https://gerrit.wikimedia.org/r/463861

Jdlrobson changed the task status from Open to Stalled.Oct 4 2018, 2:45 PM
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.

We're un blocked but stalled on a merge of https://github.com/wikimedia/resource-modules/pull/3 and on a proper release.

Change 464442 abandoned by Jdlrobson:
Use npm distributed version of resource-modules

Reason:
Since resource-modules is on the way out and this is not blocking us any more, I'm gonna abandon this.

Let's instead focus on removing our need for resource-modules altogether.

https://gerrit.wikimedia.org/r/464442

Jdlrobson closed this task as Declined.Jul 16 2019, 4:47 PM

resource-modules is no longer being used here.